/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package gestor;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import gestor.utiles.*;

public class PanelBotones extends JPanel {

   public String nombre;
   public PanelBotones panelRetorno = null;
   public PanelBotones panelSiguiente = null;
   public boolean mostrarBotonSiguiente = true;
   public String claveBotonSiguiente = "";
   public gestor.utiles.SmoothLabel etiqueta = null;
   public Rectangle dimBoton = null;
   public int incrBotonMenu = -999;
   public boolean tieneSubMenus = false;

   ArrayList<JButton> botones = new ArrayList<>();

   public PanelBotones(String nombre) {
      this.nombre = nombre;
      setLayout(null);
      setBackground(Configuracion.instanciaUnica().colorPanel);
   }

   public void nuevoBoton(JButton boton) {
      add(boton);
      botones.add(boton);
   }

   public int numBotones() {
      return botones.size();
   }

   public void cambiaTitulo(String text) {
      if (etiqueta == null) {
         etiqueta = new gestor.utiles.SmoothLabel();
         etiqueta.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
         etiqueta.setFont(new java.awt.Font("Arial", 3, 40));
         etiqueta.setForeground(java.awt.Color.DARK_GRAY);
         add(etiqueta);
      }
      text = Global.limpiaHtml(text);
      if (text.endsWith(" &#x25ba")) {
         text = text.substring(0, text.length() - 8);
      }
      etiqueta.setText(text);
   }

   public void ajustarBotonMenu() {
      for(JButton boton : botones) {
         if(boton instanceof PanelTactil.BotonMenu) {
            boton.setSize(boton.getWidth() + incrBotonMenu, boton.getHeight() + incrBotonMenu/2);
         }
      }
   }
}
